# Copyright 2020 Canonical Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# For those usages not covered by the Apache License, Version 2.0 please
# contact: legal@canonical.com
#
# To get in touch with the maintainers, please contact:
# osm-charmers@lists.launchpad.net
##

options:
  enable_ng_ro:
    description: Enable NG-RO
    type: boolean
    default: true
  database_commonkey:
    description: Database COMMON KEY
    type: string
    default: osm
  log_level:
    description: "Log Level"
    type: string
    default: "INFO"
  vim_database:
    type: string
    description: "The database name."
    default: "mano_vim_db"
  ro_database:
    type: string
    description: "The database name."
    default: "mano_db"
  openmano_tenant:
    type: string
    description: "Openmano Tenant"
    default: "osm"
